Active IQ Unified Manager Discussions

Unable to install Performance Manager 7.1 - PBE SecretKeyFactory not available

BluePenguin
4,040 Views

I am receiving an error when trying to install netapp-platform-base package

 

Transaction test succeeded
Running transaction
Installing : netapp-platform-base-7.1.0-2016.11.J2293.x86_64 1/1
Redirecting to /bin/systemctl start mysqld.service
Exception in thread "main" java.security.NoSuchAlgorithmException: PBE SecretKeyFactory not available
at javax.crypto.SecretKeyFactory.<init>(Unknown Source)
at javax.crypto.SecretKeyFactory.getInstance(Unknown Source)
at com.netapp.platform.keystoremanager.KeystoreManager.createSecretKey(KeystoreManager.java:196)
at com.netapp.platform.keystoremanager.KeystoreManager.storeValueToKeyStore(KeystoreManager.java:157)
at com.netapp.platform.keystoremanager.KeystoreManager.set(KeystoreManager.java:127)
at com.netapp.platform.passwordmanager.PasswordManager.retrieveJBossPassword(PasswordManager.java:67)
at com.netapp.platform.passwordmanager.PasswordManager.main(PasswordManager.java:93)
warning: %post(netapp-platform-base-7.1.0-2016.11.J2293.x86_64) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package netapp-platform-base-7.1.0-2016.11.J2293.x86_64

 

it ends up installing but I am then unable to install any other package as it complains netapp-platform-base is corrupted

 

- yum install ocie-serverbase-7.1.0-2016.11.J2293.x86_64.rpm

 

<snip>

 

FAILURE: netapp-platform-base package is installed, but in corrupt state. Install netapp-platform-base package and try again.

error: %pre(ocie-server-0:7.1.0-2016.05.J2327.x86_64) scriptlet failed, exit status 255
Error in PREIN scriptlet in rpm package ocie-server-7.1.0-2016.05.J2327.x86_64

 

The pre_install_check comes up as - "No issues were detected."

 

Any idea whats going wrong?

1 ACCEPTED SOLUTION

BluePenguin
4,007 Views

PEBKAC

Had the wrong java version installed.

 

 

 

View solution in original post

5 REPLIES 5

BluePenguin
4,008 Views

PEBKAC

Had the wrong java version installed.

 

 

 

yufa
3,879 Views

Hi Guys,

 

And detail about this issue ? I got the same error. and try to installed many times, but still failed.

 

Could you share me your solution ?

 

Thanks.

BluePenguin
3,875 Views
My problem was the version of java that I has installed

To fix I installed the openjdk yum package, version 1.8

supra
3,637 Views

Didn't work for me. Tried openjdk 1.8 and oracle java. Still fails.

BluePenguin
3,626 Views
OCUM 7.2 includes performance manager. It's currently RC

Seems like an easier and better option.

I am testing it and it looks decent . As soon as it goes GA i am putting it into prod
Public